import { type Variant } from 'unleash-client';
export type IFlagKey = 'accessLogs' | 'anonymiseEventLog' | 'encryptEmails' | 'enableLicense' | 'enableLicenseChecker' | 'embedProxy' | 'embedProxyFrontend' | 'responseTimeWithAppNameKillSwitch' | 'maintenanceMode' | 'messageBanner' | 'featuresExportImport' | 'caseInsensitiveInOperators' | 'strictSchemaValidation' | 'personalAccessTokensKillSwitch' | 'migrationLock' | 'demo' | 'googleAuthEnabled' | 'disableBulkToggle' | 'disableNotifications' | 'advancedPlayground' | 'filterInvalidClientMetrics' | 'disableMetrics' | 'stripHeadersOnAPI' | 'signals' | 'automatedActions' | 'celebrateUnleash' | 'featureSearchFeedback' | 'featureSearchFeedbackPosting' | 'edgeBulkMetrics' | 'extendedUsageMetrics' | 'adminTokenKillSwitch' | 'feedbackComments' | 'showInactiveUsers' | 'killScheduledChangeRequestCache' | 'collectTrafficDataUsage' | 'displayTrafficDataUsage' | 'estimateTrafficDataCost' | 'useMemoizedActiveTokens' | 'queryMissingTokens' | 'userAccessUIEnabled' | 'disableUpdateMaxRevisionId' | 'disablePublishUnannouncedEvents' | 'outdatedSdksBanner' | 'responseTimeMetricsFix' | 'disableShowContextFieldSelectionValues' | 'projectOverviewRefactorFeedback' | 'manyStrategiesPagination' | 'enableLegacyVariants' | 'navigationSidebar' | 'anonymizeProjectOwners' | 'extendedMetrics' | 'removeUnsafeInlineStyleSrc' | 'originMiddleware' | 'newEventSearch' | 'archiveProjects' | 'projectListImprovements' | 'useProjectReadModel' | 'addonUsageMetrics' | 'onboardingMetrics' | 'onboardingUI' | 'projectRoleAssignment';
export type IFlags = Partial<{
    [key in IFlagKey]: boolean | Variant;
}>;
export declare const defaultExperimentalOptions: IExperimentalOptions;
export interface IExperimentalOptions {
    flags: IFlags;
    externalResolver: IExternalFlagResolver;
}
export interface IFlagContext {
    [key: string]: string;
}
export interface IFlagResolver {
    getAll: (context?: IFlagContext) => IFlags;
    isEnabled: (expName: IFlagKey, context?: IFlagContext) => boolean;
    getVariant: (expName: IFlagKey, context?: IFlagContext) => Variant;
}
export interface IExternalFlagResolver {
    isEnabled: (flagName: IFlagKey, context?: IFlagContext) => boolean;
    getVariant: (flagName: IFlagKey, context?: IFlagContext) => Variant;
}
//# sourceMappingURL=experimental.d.ts.map